function recta(x,Pesos,pausa),
%
% Dibuja una recta por cada fila de pesos
%
% recta(x,[peso0,pesos])
%
% x       (Rx1) Columna con los valores x de la recta a pintar
% pesos   (Nx(Umbral+2))
% pausa   1 se detiene por cada recta
%         0 pinta todas seguidas (por defecto)
% 
% Dibuja todas las rectas en la misma gráfica.
%

% APRENDIZAJE AUTOMÁTICO (Gonzalo Pajares y Jesús M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 4: Redes Neuronales Artificiales
% Autores: José Antonio López Orozco


[fil,col]=size(Pesos);

if (nargin < 3)
   pausa=0;
end;

if (col==2),
   Pesos=[zeros(fil,1), Pesos]
end;

for i=1:fil,
   y(:,i)=(-Pesos(i,2)./Pesos(i,3))*x-(Pesos(i,1)./Pesos(i,3));
   if (pausa), plot(x,y(:,i),'r'), pause, plot(x,y(:,i),'b'), hold on, end;
end;

if (~pausa), plot(x,y); end;

plot(x,y(:,end),'r');

hold off

